Qt 5.11 | Qt 3D | C++ Classes | QAnimationCallback

Qt 5.11.3 Reference Documentation

# QAnimationCallback Class

(Qt3DAnimation::QAnimationCallback)

- List of all members, including inherited members

## Public Types

enum | Flag { OnOwningThread, OnThreadPool }
flags | Flags

## Public Functions

virtual | ~QAnimationCallback()
virtual void | valueChanged(const QVariant &value) = 0

## Member Type Documentation

### enum QAnimationCallback::Flag
flags QAnimationCallback::Flags

The Flags type is a typedef for QFlags<Flag>. It stores an OR combination of Flag values.

## Member Function Documentation

### `[virtual]` QAnimationCallback::~QAnimationCallback()

Destroys the instance of QAnimationCallback. The destructor is virtual.

### `[pure virtual]` void QAnimationCallback::valueChanged(const QVariant &value)